groovy
  1. groovy
  2. GROOVY-1215

Installation on Mac OS X needs executable flag and valid tar

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.0-JSR-4
    • Fix Version/s: 1.5.4
    • Component/s: None
    • Labels:
      None
    • Environment:
      Mac OS X
    • Number of attachments :
      0

      Description

      on behalf of Frank Westphal:

      jsr-04 distro does not set file-flags in the bin dir to 'executable'

      groovy-1.0-jsr-04.tar.gz fails with 'tar: A lone zero block at 54538'

        Activity

        Hide
        Jason Dillon added a comment -

        FYI, the "lone zero block" stuff is really a bug in Maven (er... plexus): PLXCOMP-38

        Show
        Jason Dillon added a comment - FYI, the "lone zero block" stuff is really a bug in Maven (er... plexus): PLXCOMP-38
        Hide
        Paul King added a comment -

        The zip file now has the appropriate executable flags set for Linux. Can someone try this out for Mac OS X.

        Show
        Paul King added a comment - The zip file now has the appropriate executable flags set for Linux. Can someone try this out for Mac OS X.
        Hide
        Paul King added a comment -

        Tried out all of the commands on Leopard and it seems to work fine. So, the zip is just as good as a tar. Closing this. Please reopen if you have any further troubles.

        Show
        Paul King added a comment - Tried out all of the commands on Leopard and it seems to work fine. So, the zip is just as good as a tar. Closing this. Please reopen if you have any further troubles.

          People

          • Assignee:
            Paul King
            Reporter:
            Dierk König
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: